Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.lang
Class ExceptionInInitializerError

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--java.lang.LinkageError
                        |
                        +--java.lang.ExceptionInInitializerError

All Implemented Interfaces:
  Serializable

public class ExceptionInInitializerError
extends LinkageError

Signals that an unexpected exception has occurred in a static initializer. An `ExceptionInInitializerError` is thrown to indicate that an exception occurred during evaluation of a static initializer or the initializer for a static variable.

Since:
  JDK1.1
See Also:
  Serialized Form

Constructor Summary
`ExceptionInInitializerError()` Constructs an `ExceptionInInitializerError` with `null` as its detail message string and with no saved thowable object.
`ExceptionInInitializerError(String s)` Constructs an ExceptionInInitializerError with the specified detail message string.
`ExceptionInInitializerError(Throwable thrown)` Constructs a new `ExceptionInInitializerError` class by saving a reference to the `Throwable` object thrown for later retrieval by the `getException()` method.

Method Summary
`Throwable` | `getException()` Returns the exception that occurred during a static initialization that caused this Error to be created.
`void` | `printStackTrace()` Prints the stack trace of the exception that occurred.
`void` | `printStackTrace(PrintStream ps)` Prints the stack trace of the exception that occurred to the specified print stream.
`void` | `printStackTrace(PrintWriter pw)` Prints the stack trace of the exception that occurred to the specified print writer.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExceptionInInitializerError

    public ExceptionInInitializerError()

  Constructs an `ExceptionInInitializerError` with `null` as its detail message string and with no saved thowable object. A detail message is a String that describes this particular exception.

### ExceptionInInitializerError

    public ExceptionInInitializerError(Throwable thrown)

  Constructs a new `ExceptionInInitializerError` class by saving a reference to the `Throwable` object thrown for later retrieval by the `getException()` method. The detail message string is set to `null`.
  Parameters:
    `thrown` - The exception thrown

### ExceptionInInitializerError

    public ExceptionInInitializerError(String s)

  Constructs an ExceptionInInitializerError with the specified detail message string. A detail message is a String that describes this particular exception. The detail message string is saved for later retrieval by the `Throwable.getMessage()` method. There is no saved throwable object.
  Parameters:
    `s` - the detail message

Method Detail

### getException

    public Throwable getException()

  Returns the exception that occurred during a static initialization that caused this Error to be created.
  Returns:
    the saved throwable object of this `ExceptionInInitializerError`, or `null` if this `ExceptionInInitializerError` has no saved throwable object.

### printStackTrace

    public void printStackTrace()

  Prints the stack trace of the exception that occurred.
  Overrides:
    `printStackTrace` in class `Throwable`
  See Also:
    `System.err`

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Prints the stack trace of the exception that occurred to the specified print stream.
  Overrides:
    `printStackTrace` in class `Throwable`
  Following copied from class: `java.lang.Throwable`
  Parameters:
    `s` - `PrintStream` to use for output

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Prints the stack trace of the exception that occurred to the specified print writer.
  Overrides:
    `printStackTrace` in class `Throwable`
  Following copied from class: `java.lang.Throwable`
  Parameters:
    `s` - `PrintWriter` to use for output

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.